<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-406"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20NSString%28ABStr%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: NSString(ABStr)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_string_07_a_b_str_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="category_n_s_string_07_a_b_str_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSString(ABStr)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_string_09_a_b_str_8h_source.html">NSString+ABStr.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a31ef0baf8779c206ea4bf647e91b0c59"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a31ef0baf8779c206ea4bf647e91b0c59">xhx_ABStrSubColor:subRange:</a></td></tr>
<tr class="separator:a31ef0baf8779c206ea4bf647e91b0c59"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a633be13c62e2f0f332bccc1bde73fcd4"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a633be13c62e2f0f332bccc1bde73fcd4">xhx_ABStrSubFont:subRange:</a></td></tr>
<tr class="separator:a633be13c62e2f0f332bccc1bde73fcd4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a49c4e69e5366d73eea24c06acfd52093"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">xhx_ABStrSubColor:subFont:subRange:</a></td></tr>
<tr class="separator:a49c4e69e5366d73eea24c06acfd52093"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a74ece6e91820713b01fb8508ae4af9f4"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a></td></tr>
<tr class="separator:a74ece6e91820713b01fb8508ae4af9f4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a895deb2ec6d9b8f32dd0c49820f055f6"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a895deb2ec6d9b8f32dd0c49820f055f6">xhx_ABStrTextSpace:subColor:subRange:</a></td></tr>
<tr class="separator:a895deb2ec6d9b8f32dd0c49820f055f6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8a5599400925048f3c66b014d57fd4b9"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a8a5599400925048f3c66b014d57fd4b9">xhx_ABStrTextSpace:subFont:subRange:</a></td></tr>
<tr class="separator:a8a5599400925048f3c66b014d57fd4b9"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5ec2b2c65d9b3752462ee0205f22bb07"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a5ec2b2c65d9b3752462ee0205f22bb07">xhx_ABStrTextSpace:subColor:subFont:subRange:</a></td></tr>
<tr class="separator:a5ec2b2c65d9b3752462ee0205f22bb07"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac0ff9309d06c7516c3d3e44e0e4b3916"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#ac0ff9309d06c7516c3d3e44e0e4b3916">xhx_ABStrTextSpace:color:</a></td></tr>
<tr class="separator:ac0ff9309d06c7516c3d3e44e0e4b3916"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a6ed95c2ff2bfb70439c4a0c351f4b26a"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a6ed95c2ff2bfb70439c4a0c351f4b26a">xhx_ABStrTextSpace:font:</a></td></tr>
<tr class="separator:a6ed95c2ff2bfb70439c4a0c351f4b26a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5ca0850d0dceb5e10e2eecf6a10ad347"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a5ca0850d0dceb5e10e2eecf6a10ad347">xhx_ABStrTextSpace:color:font:</a></td></tr>
<tr class="separator:a5ca0850d0dceb5e10e2eecf6a10ad347"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a72d3171d4d4b98452b8b967550b1a56e"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a></td></tr>
<tr class="separator:a72d3171d4d4b98452b8b967550b1a56e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a17c6429e2835a32800abd6ad9a27a80d"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a17c6429e2835a32800abd6ad9a27a80d">xhx_ABStrLineSpace:color:</a></td></tr>
<tr class="separator:a17c6429e2835a32800abd6ad9a27a80d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:adbb0b02a6c21a05bdeede872416e8945"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#adbb0b02a6c21a05bdeede872416e8945">xhx_ABStrLineSpace:font:</a></td></tr>
<tr class="separator:adbb0b02a6c21a05bdeede872416e8945"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1abaad199a02bfc4fb52af48137d6d4d"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a1abaad199a02bfc4fb52af48137d6d4d">xhx_ABStrLineSpace:color:font:</a></td></tr>
<tr class="separator:a1abaad199a02bfc4fb52af48137d6d4d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7f97eeff739e5db58f981b2db7b5d502"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a7f97eeff739e5db58f981b2db7b5d502">xhx_ABStrLineSpace:subColor:subRange:</a></td></tr>
<tr class="separator:a7f97eeff739e5db58f981b2db7b5d502"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9f59c6fb5a5d4100f6e07e9e839bc02a"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a9f59c6fb5a5d4100f6e07e9e839bc02a">xhx_ABStrLineSpace:subFont:subRange:</a></td></tr>
<tr class="separator:a9f59c6fb5a5d4100f6e07e9e839bc02a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aec2a81b4850997c638d63aaede8a7b69"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#aec2a81b4850997c638d63aaede8a7b69">xhx_ABStrLineSpace:subColor:subFont:subRange:</a></td></tr>
<tr class="separator:aec2a81b4850997c638d63aaede8a7b69"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab4493558d73d0333cccc8951c7e33755"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#ab4493558d73d0333cccc8951c7e33755">xhx_ABStrSpacing:font:aligment:</a></td></tr>
<tr class="separator:ab4493558d73d0333cccc8951c7e33755"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab23a663cf070f0dfaea8a9c6e9ab50e4"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#ab23a663cf070f0dfaea8a9c6e9ab50e4">xhx_ABStrStrikethrough</a></td></tr>
<tr class="separator:ab23a663cf070f0dfaea8a9c6e9ab50e4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4785d00e9229070764d5c9113c3dbc36"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a4785d00e9229070764d5c9113c3dbc36">xhx_ABStrStrikethroughWithFont:color:</a></td></tr>
<tr class="separator:a4785d00e9229070764d5c9113c3dbc36"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a27440c5cd6de077436b6c1b0557cd29f"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a27440c5cd6de077436b6c1b0557cd29f">xhx_ABStrUnderlineSpacing:</a></td></tr>
<tr class="separator:a27440c5cd6de077436b6c1b0557cd29f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aac23d7fda21dc78d81e8c691e71abfcc"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#aac23d7fda21dc78d81e8c691e71abfcc">xhx_ABStrUnderlineSpacing:font:color:</a></td></tr>
<tr class="separator:aac23d7fda21dc78d81e8c691e71abfcc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a12606ee380b8c7b2b9f58e6ed3d6d865"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_a_b_str_08.html#a12606ee380b8c7b2b9f58e6ed3d6d865">xhx_ABStrUnderlineSpacing:SubStr:color:</a></td></tr>
<tr class="separator:a12606ee380b8c7b2b9f58e6ed3d6d865"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a72d3171d4d4b98452b8b967550b1a56e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72d3171d4d4b98452b8b967550b1a56e">◆&nbsp;</a></span>xhx_ABStrLineSpace:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrLineSpace: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a17c6429e2835a32800abd6ad9a27a80d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17c6429e2835a32800abd6ad9a27a80d">◆&nbsp;</a></span>xhx_ABStrLineSpace:color:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a1abaad199a02bfc4fb52af48137d6d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1abaad199a02bfc4fb52af48137d6d4d">◆&nbsp;</a></span>xhx_ABStrLineSpace:color:font:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="adbb0b02a6c21a05bdeede872416e8945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb0b02a6c21a05bdeede872416e8945">◆&nbsp;</a></span>xhx_ABStrLineSpace:font:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aec2a81b4850997c638d63aaede8a7b69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec2a81b4850997c638d63aaede8a7b69">◆&nbsp;</a></span>xhx_ABStrLineSpace:subColor:subFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">subColor:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subFont:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f97eeff739e5db58f981b2db7b5d502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f97eeff739e5db58f981b2db7b5d502">◆&nbsp;</a></span>xhx_ABStrLineSpace:subColor:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">subColor:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f59c6fb5a5d4100f6e07e9e839bc02a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f59c6fb5a5d4100f6e07e9e839bc02a">◆&nbsp;</a></span>xhx_ABStrLineSpace:subFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">xhx_ABStrLineSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpace</em></td>
        </tr>
        <tr>
          <td class="paramkey">subFont:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4493558d73d0333cccc8951c7e33755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4493558d73d0333cccc8951c7e33755">◆&nbsp;</a></span>xhx_ABStrSpacing:font:aligment:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrSpacing: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">aligment:</td>
          <td></td>
          <td class="paramtype">(NSTextAlignment)&nbsp;</td>
          <td class="paramname"><em>alignment</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab23a663cf070f0dfaea8a9c6e9ab50e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab23a663cf070f0dfaea8a9c6e9ab50e4">◆&nbsp;</a></span>xhx_ABStrStrikethrough</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrStrikethrough </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a4785d00e9229070764d5c9113c3dbc36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4785d00e9229070764d5c9113c3dbc36">◆&nbsp;</a></span>xhx_ABStrStrikethroughWithFont:color:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrStrikethroughWithFont: </td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a49c4e69e5366d73eea24c06acfd52093"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49c4e69e5366d73eea24c06acfd52093">◆&nbsp;</a></span>xhx_ABStrSubColor:subFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrSubColor: </td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subFont:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a31ef0baf8779c206ea4bf647e91b0c59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ef0baf8779c206ea4bf647e91b0c59">◆&nbsp;</a></span>xhx_ABStrSubColor:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrSubColor: </td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a633be13c62e2f0f332bccc1bde73fcd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a633be13c62e2f0f332bccc1bde73fcd4">◆&nbsp;</a></span>xhx_ABStrSubFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrSubFont: </td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a74ece6e91820713b01fb8508ae4af9f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74ece6e91820713b01fb8508ae4af9f4">◆&nbsp;</a></span>xhx_ABStrTextSpace:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrTextSpace: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0ff9309d06c7516c3d3e44e0e4b3916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0ff9309d06c7516c3d3e44e0e4b3916">◆&nbsp;</a></span>xhx_ABStrTextSpace:color:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ca0850d0dceb5e10e2eecf6a10ad347"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ca0850d0dceb5e10e2eecf6a10ad347">◆&nbsp;</a></span>xhx_ABStrTextSpace:color:font:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ed95c2ff2bfb70439c4a0c351f4b26a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ed95c2ff2bfb70439c4a0c351f4b26a">◆&nbsp;</a></span>xhx_ABStrTextSpace:font:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ec2b2c65d9b3752462ee0205f22bb07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ec2b2c65d9b3752462ee0205f22bb07">◆&nbsp;</a></span>xhx_ABStrTextSpace:subColor:subFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">subColor:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subFont:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a895deb2ec6d9b8f32dd0c49820f055f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a895deb2ec6d9b8f32dd0c49820f055f6">◆&nbsp;</a></span>xhx_ABStrTextSpace:subColor:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">subColor:</td>
          <td></td>
          <td class="paramtype">(nullable UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a5599400925048f3c66b014d57fd4b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a5599400925048f3c66b014d57fd4b9">◆&nbsp;</a></span>xhx_ABStrTextSpace:subFont:subRange:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">xhx_ABStrTextSpace:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>space</em></td>
        </tr>
        <tr>
          <td class="paramkey">subFont:</td>
          <td></td>
          <td class="paramtype">(nullable UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">subRange:</td>
          <td></td>
          <td class="paramtype">(NSRange)&nbsp;</td>
          <td class="paramname"><em>range</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a27440c5cd6de077436b6c1b0557cd29f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27440c5cd6de077436b6c1b0557cd29f">◆&nbsp;</a></span>xhx_ABStrUnderlineSpacing:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) xhx_ABStrUnderlineSpacing: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpacing</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aac23d7fda21dc78d81e8c691e71abfcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac23d7fda21dc78d81e8c691e71abfcc">◆&nbsp;</a></span>xhx_ABStrUnderlineSpacing:font:color:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a27440c5cd6de077436b6c1b0557cd29f">xhx_ABStrUnderlineSpacing:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a12606ee380b8c7b2b9f58e6ed3d6d865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12606ee380b8c7b2b9f58e6ed3d6d865">◆&nbsp;</a></span>xhx_ABStrUnderlineSpacing:SubStr:color:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) <a class="el" href="category_n_s_string_07_a_b_str_08.html#a27440c5cd6de077436b6c1b0557cd29f">xhx_ABStrUnderlineSpacing:</a> </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">SubStr:</td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>subStr</em></td>
        </tr>
        <tr>
          <td class="paramkey">color:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>color</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_n_s_string_09_a_b_str_8h_source.html">NSString+ABStr.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_n_s_string_09_a_b_str_8m.html">NSString+ABStr.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_string_07_a_b_str_08.html">NSString(ABStr)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>